@import "bootstrap-sprockets";
@import "bootstrap";

// mixins, variables, etc.

$gray-medium-light: #eaeaea;
$light-gray: #777;

// universal

body {
    padding-top: 60px;
}

section {
    overflow: auto;
}

textarea {
    resize: vertical;
}

.center {
    text-align: center;
}

.center h1 {
    margin-bottom: 10px;
}

h1, h2, h3, h4, h5, h6 {
    line-height: 1;
}

h1 {
    font-size: 3em;
    letter-spacing: -2px;
    margin-bottom: 30px;
    text-align: center;
}

h2 {
    font-size: 1.2em;
    letter-spacing: -1px;
    margin-bottom: 30px;
    text-align: center;
    font-weight: normal;
    color: $gray-light;
}

p {
    font-size: 1.1em;
    line-height: 1.7em;
}

// header

#logo {
    float: left;
    margin-right: 10px;
    font-size: 1.7em;
    color: $light-gray;
    text-transform: uppercase;
    letter-spacing: -1px;
    padding-top: 9px;
    font-weight: bold; 
    &:hover {
        color: white;
        text-decoration: none;
    }
}


/* footer */
footer {
    margin-top: 45px;
    padding-top: 5px;
    border-top: 1px solid $gray-medium-light;
    color: $gray-light;
    a {
        color: $gray;
        &:hover {
            color: $gray-darker;
        }
    }
}

footer small {
    float: left;
}

footer ul {
    float: right;
    list-style: none;
}

footer ul li {
    float: left;
    margin-left: 15px;
}
